# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Member Functions | List of all members
DBus::PropertiesAdaptor Class Reference

`#include <property.h>`

Inheritance diagram for DBus::PropertiesAdaptor:

## Public Member Functions

| PropertiesAdaptor ()
Message | Get (const CallMessage &)
Message | Set (const CallMessage &)
Public Member Functions inherited from DBus::InterfaceAdaptor
| InterfaceAdaptor (const std::string &name)
Message | dispatch_method (const CallMessage &)
void | emit_signal (const SignalMessage &)
Variant * | get_property (const std::string &name)
void | set_property (const std::string &name, Variant &value)
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::AdaptorBase
virtual const ObjectAdaptor * | object () const =0

## Protected Member Functions

virtual void | on_get_property (InterfaceAdaptor &, const std::string &, Variant &)
virtual void | on_set_property (InterfaceAdaptor &, const std::string &, const Variant &)
IntrospectedInterface * | introspect () const
Protected Member Functions inherited from DBus::AdaptorBase
InterfaceAdaptor * | find_interface (const std::string &name)
virtual | ~AdaptorBase ()
virtual void | _emit_signal (SignalMessage &)=0

## Additional Inherited Members

Protected Attributes inherited from DBus::InterfaceAdaptor
MethodTable | _methods
PropertyTable | _properties
Protected Attributes inherited from DBus::AdaptorBase
InterfaceAdaptorTable | _interfaces

## Detailed Description

Definition at line 68 of file property.h.

## Constructor & Destructor Documentation

## ◆ PropertiesAdaptor()

PropertiesAdaptor::PropertiesAdaptor | ( |  | ) |

Definition at line 37 of file property.cpp.

References Get(), DBus::InterfaceAdaptor::InterfaceAdaptor(), properties_name, PropertiesAdaptor(), register_method, and Set().

Referenced by PropertiesAdaptor().

## Member Function Documentation

## ◆ Get()

Message PropertiesAdaptor::Get | ( | const CallMessage & | call | ) |

Definition at line 44 of file property.cpp.

References DBus::debug_log, DBus::AdaptorBase::find_interface(), DBus::InterfaceAdaptor::InterfaceAdaptor(), on_get_property(), DBus::Message::reader(), and DBus::Message::writer().

Referenced by PropertiesAdaptor().

## ◆ introspect()

IntrospectedInterface * PropertiesAdaptor::introspect | ( |  | ) | const

protected virtual

Reimplemented from DBus::InterfaceAdaptor.

Definition at line 99 of file property.cpp.

References properties_name.

## ◆ on_get_property()

virtual void DBus::PropertiesAdaptor::on_get_property | ( | InterfaceAdaptor & | ,
|  | const std::string & | ,
|  | Variant & | )

inline protected virtual

Definition at line 80 of file property.h.

References DBus::InterfaceAdaptor::InterfaceAdaptor().

Referenced by Get().

## ◆ on_set_property()

virtual void DBus::PropertiesAdaptor::on_set_property | ( | InterfaceAdaptor & | ,
|  | const std::string & | ,
|  | const Variant & | )

inline protected virtual

Definition at line 83 of file property.h.

References DBus::InterfaceAdaptor::InterfaceAdaptor().

Referenced by Set().

## ◆ Set()

Message PropertiesAdaptor::Set | ( | const CallMessage & | call | ) |

Definition at line 75 of file property.cpp.

References DBus::AdaptorBase::find_interface(), DBus::InterfaceAdaptor::InterfaceAdaptor(), on_set_property(), and DBus::Message::reader().

Referenced by PropertiesAdaptor().

The documentation for this class was generated from the following files:

- property.h
- property.cpp